Package org.drinkless.tdlib

# Class TdApi.GetSavedNotificationSound

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.NotificationSounds>
org.drinkless.tdlib.TdApi.GetSavedNotificationSound

Enclosing class:
  TdApi

public static class TdApi.GetSavedNotificationSound extends TdApi.Function<TdApi.NotificationSounds>
Returns saved notification sound by its identifier. Returns a 404 error if there is no saved notification sound with the specified identifier.

Returns `NotificationSounds`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `notificationSoundId`
  Identifier of the notification sound.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetSavedNotificationSound()`
  Default constructor for a function, which returns saved notification sound by its identifier.
  `GetSavedNotificationSound(long notificationSoundId)`
  Creates a function, which returns saved notification sound by its identifier.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### notificationSoundId

    public long notificationSoundId
    Identifier of the notification sound.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetSavedNotificationSound

    public GetSavedNotificationSound()
    Default constructor for a function, which returns saved notification sound by its identifier. Returns a 404 error if there is no saved notification sound with the specified identifier.

    Returns `NotificationSounds`

  - ### GetSavedNotificationSound

    public GetSavedNotificationSound(long notificationSoundId)
    Creates a function, which returns saved notification sound by its identifier. Returns a 404 error if there is no saved notification sound with the specified identifier.

    Returns `NotificationSounds`

    Parameters:
      `notificationSoundId` - Identifier of the notification sound.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.NotificationSounds>`
    Returns:
      this.CONSTRUCTOR